<?php
//Esse arquivo SESSAO.PHP inicia uma sessão junto ao pagseguro e traz de lá as configurações
//da sua conta como meios de pagamento habilitados, taxas, etc.

include_once("configuracoes.php");

$url = "https://ws".$sandbox.".pagseguro.uol.com.br/v2/sessions?email=".$pagseguro_email."&token=".$pagseguro_token;

$curl = curl_init();
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
curl_setopt($curl, CURLOPT_HTTPHEADER, Array('Content-Type: application/x-www-form-urlencoded; charset=ISO-8859-1'));
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
 
$retorno_transaction = curl_exec($curl);
$session = simplexml_load_string($retorno_transaction);
echo json_encode($session);
curl_close($curl);

?>
